using Editor;
using Sandbox;
using VeloX.Audio;

namespace VeloX;

[CustomEditor( typeof( ValueRange ) )]
public class ValueRangeWidget : ControlObjectWidget
{
	public override bool SupportsMultiEdit => false;
	public override bool IsWideMode => true;

	public ValueRangeWidget( SerializedProperty property ) : base( property, true )
	{

		Layout = Layout.Row();

		SerializedObject.TryGetProperty( nameof( ValueRange.Min ), out var min );
		Layout.Add( Create( min ) );

		SerializedObject.TryGetProperty( nameof( ValueRange.Max ), out var max );
		Layout.Add( Create( max ) );
	}

	protected override void OnPaint() { }
}
